@import "libs/shared/assets/src/global-style/variable";

.notification {
  &::before {
    content: '';
    border: 0.3rem solid;
    border-color: transparent transparent $bg-gray-rgb transparent;
    position: absolute;
    right: 6.6rem;
    top: -0.6rem;
  }

  border: 1px solid $bg-gray-dark-light;
  right: -8px;
  top: -8px;
  width: 440px;
  height: 496px;
  background-color: $bg-sidebar-text-active;
  position: absolute;
  border-radius: 10px;
  &.notification__height {
    height: 830px;
  }
  &__search {
    background-color: $bg-sidebar-text-active;
    border-bottom: 1px solid $bg-gray-rgb;
    padding-left: 0.5rem;
    .ant-collapse,
    .ant-input,
    .ant-input-affix-wrapper,
    .ant-picker {
      border: 0;
    }
    .ant-picker-focused,
    .ant-picker:hover {
      border-color: $bg-sidebar-text-active;
      border-right-width: 1px !important;
      box-shadow: none;
    }
  }
  &__date-picker {
    margin: 5px 10px;
    display: flex;
    width: 30%;
    justify-content: space-between;
    & .ant-picker-input {
      width: auto;
    }
    &__btn {
      margin: 5px 10px;
      display: flex;
      justify-content: space-between;
        & .ant-picker-input {
        width: auto;
      }
      button {
        margin-left: 0px;
        width: 7rem;
      }
      &__cancel {
        border-color: $bg-gray-rgb;
        &:hover {
          border-color: $bg-gray-rgb;
          color: $bg-primary-default;
        }
      }
    }
    .ant-picker-suffix {
      color: $bg-gray-body;
      font-size: medium;
      font-weight: bolder;
    }
    input {
      color: $bg-gray-body;
      font-weight: bolder;
      &::placeholder {
        color: $bg-gray-body;
        font-weight: bolder;
        opacity: 1;
        /* Firefox */
      }

      &:-ms-input-placeholder {
        /* Internet Explorer 10-11 */
        color: $bg-gray-body;
        font-weight: bolder;
      }

      &::-ms-input-placeholder {
        /* Microsoft Edge */
        color: $bg-gray-body;
        font-weight: bolder;
      }
    }
  }
  &__header {
    color: $bg-gray-body;
    font-family: avertaB, sans-serif;
    text-transform: uppercase;
    font-size: medium;
    margin-left: 0.7rem;
    padding: 0.5rem 0;
  }
  &__tab {
    .ant-tabs-nav-wrap {
      padding-left: 0.5rem;
    }
    .ant-tabs-tab.ant-tabs-tab-active .ant-tabs-tab-btn {
      color: $bg-primary-default;
      & .notifycation__number {
        color: $bg-modal-header-title;
        background-color: $bg-primary-default;
      }
    }
    .ant-tabs-tab-btn {
      color: $bg-gray-placeholder;
      display: flex;
    }
    .ant-tabs-ink-bar {
      background-color: $bg-primary-default;
    }
  }
  &__number {
    background-color: $bg-gray-new;
    width: 22px;
    justify-content: center;
    border-radius: 50%;
    display: flex;
    margin-left: 0.3rem;
    span {
      align-self: center;
      font-size: 10px;
      font-family: avertaB, sans-serif;
    }
  }
  &__body {
    cursor: pointer;
    .no-view {
      background-color: $bg-stepper-header-container;
    }
    & .ant-table-tbody > tr > td {
      padding: 0.5rem;
      & .row {
        display: flex;
        flex-direction: row;
        .initialized-date {
          color: $bg-gray-body;
          font-size: 0.8rem;
        }
      }
    }
    & .bell {
      color: $bg-primary-default;
      font-size: 1rem;
      font-family: avertaB, sans-serif;
      display: flex;
      justify-content: center;
      div {
        width: 22px;
        background-color: $bg-primary-bg;
        border-radius: 50%;
        display: flex;
        justify-content: center;
        em {
          align-self: center;
        }
      }
    }
    & .title {
      color: $bg-primary-default;
      font-family: avertaB, sans-serif;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
    & .description {
      color: $bg-gray-body;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
    & .active {
      color: $bg-primary-default;
    }
  }
  &__footer {
    border-top: 1px solid $bg-gray-rgb;
    text-align: center;
    color: $bg-primary-default;
    position: absolute;
    bottom: 0;
    width: 100%;
    span {
      cursor: pointer;
    }
  }
}

.style-date-picker .ant-picker-time-panel {
  display: none;
}
.style-date-picker .ant-picker-ranges {
  display: none;
}

.app-list-notify {
  position: relative;
}

.loading {
  text-align-last: center;
  color: $bg-primary-default;
  font-size: 1.1rem;
}
